

- generic_file_open() comment fix (Bill Irwin)

- kerneldoc fix in truncate.c (Aniruddha M Marathe)

- remove truncate debug check.

- page_lock comment fix (Robert Love)


 25-akpm/fs/open.c          |    2 +-
 25-akpm/include/linux/fs.h |    2 +-
 25-akpm/mm/truncate.c      |    8 +++-----
 3 files changed, 5 insertions(+), 7 deletions(-)

diff -puN fs/open.c~misc fs/open.c
--- 25/fs/open.c~misc	Fri May  9 13:30:47 2003
+++ 25-akpm/fs/open.c	Fri May  9 13:30:47 2003
@@ -902,7 +902,7 @@ asmlinkage long sys_vhangup(void)
 
 /*
  * Called when an inode is about to be open.
- * We use this to disallow opening RW large files on 32bit systems if
+ * We use this to disallow opening large files on 32bit systems if
  * the caller didn't specify O_LARGEFILE.  On 64bit systems we force
  * on this flag in sys_open.
  */
diff -puN mm/truncate.c~misc mm/truncate.c
--- 25/mm/truncate.c~misc	Fri May  9 14:20:19 2003
+++ 25-akpm/mm/truncate.c	Fri May  9 14:20:51 2003
@@ -173,15 +173,13 @@ void truncate_inode_pages(struct address
 		}
 		pagevec_release(&pvec);
 	}
-	if (lstart == 0 && mapping->nrpages)
-		printk("%s: I goofed!\n", __FUNCTION__);
 }
 
 /**
  * invalidate_mapping_pages - Invalidate all the unlocked pages of one inode
- * @inode: the address_space which holds the pages to invalidate
- * @end: the index of the last page to invalidate (inclusive)
- * @nr_pages: defines the pagecache span.  Invalidate up to @start + @nr_pages
+ * @mapping: the address_space which holds the pages to invalidate
+ * @start: the offset 'from' which to invalidate
+ * @end: the offset 'to' which to invalidate (inclusive)
  *
  * This function only removes the unlocked pages, if you want to
  * remove all the pages of one inode, you must call truncate_inode_pages.
diff -puN include/linux/fs.h~misc include/linux/fs.h
--- 25/include/linux/fs.h~misc	Fri May  9 17:41:05 2003
+++ 25-akpm/include/linux/fs.h	Fri May  9 17:41:09 2003
@@ -313,7 +313,7 @@ struct backing_dev_info;
 struct address_space {
 	struct inode		*host;		/* owner: inode, block_device */
 	struct radix_tree_root	page_tree;	/* radix tree of all pages */
-	spinlock_t		page_lock;	/* and rwlock protecting it */
+	spinlock_t		page_lock;	/* and spinlock protecting it */
 	struct list_head	clean_pages;	/* list of clean pages */
 	struct list_head	dirty_pages;	/* list of dirty pages */
 	struct list_head	locked_pages;	/* list of locked pages */

_
